> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dualship.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Get incidents

> Get list of active and past incidents



## OpenAPI

````yaml openapi.json get /monitoring/incidents
openapi: 3.0.0
info:
  description: Dualship backend API for workflow automation and API management.
  title: Dualship API
  termsOfService: https://dualship.run/terms
  contact:
    name: Dualship Support
    url: https://dualship.run/support
    email: support@dualship.run
  version: '1.0'
servers:
  - url: https://api.dualship.run
security: []
paths:
  /monitoring/incidents:
    get:
      tags:
        - monitoring
      summary: Get incidents
      description: Get list of active and past incidents
      responses:
        '200':
          description: List of incidents
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_api_handler.IncidentListResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_api_handler.UnauthorizedError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_api_handler.InternalServerError'
      security:
        - BearerAuth: []
components:
  schemas:
    internal_api_handler.IncidentListResponse:
      description: List of incidents
      type: object
      properties:
        incidents:
          type: array
          items:
            $ref: '#/components/schemas/internal_api_handler.Incident'
    internal_api_handler.UnauthorizedError:
      description: Unauthorized error
      type: object
      properties:
        code:
          type: string
          example: UNAUTHORIZED
        error:
          type: string
          example: unauthorized
    internal_api_handler.InternalServerError:
      description: Internal server error
      type: object
      properties:
        code:
          type: string
          example: INTERNAL_ERROR
        error:
          type: string
          example: internal server error
    internal_api_handler.Incident:
      description: Incident information
      type: object
      properties:
        description:
          type: string
          example: Increased latency on flow endpoints
        id:
          type: string
          example: inc_123
        resolved_at:
          type: string
          example: '2024-01-15T10:30:00Z'
        severity:
          type: string
          example: minor
        started_at:
          type: string
          example: '2024-01-15T10:00:00Z'
        status:
          type: string
          example: resolved
        title:
          type: string
          example: API Latency Spike
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT Bearer token authentication

````